import request from '@/utils/request'

// 获取值班电话列表数据
export function getDutyLists(params) {
  return request({
    url: 'api/setdutynumber/getlistbypage',
    method: 'get',
    params
  })
}

// 获取值班电话数据
export function getDuty(id) {
  return request({
    url: 'api/setdutynumber/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加值班电话数据
export function addDuty(data) {
  return request({
    url: 'api/setdutynumber/add',
    method: 'post',
    data
  })
}

// 编辑值班电话数据
export function editDuty(data) {
  return request({
    url: 'api/setdutynumber/update',
    method: 'post',
    data
  })
}

// 删除值班电话数据
export function deleteDuty(ids) {
  return request({
    url: 'api/setdutynumber/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
